/// <reference types="react" />
import "../init";
import PropTypes from "prop-types";
import { FormElement } from "../formElement";
import { Color } from "../../types";
export declare type CheckboxProps = FormElement<boolean> & {
    color: Color;
    labelPosition?: "left" | "right";
    labelClassName?: string;
};
export declare const Checkbox: {
    ({ className, color, disabled, label, labelPosition, labelClassName, onChange, value }: CheckboxProps): JSX.Element;
    defaultProps: {
        color: string;
        labelPosition: string;
        disabled: boolean;
        onChange?: undefined;
    } | {
        onChange: () => any;
        color?: undefined;
        labelPosition?: undefined;
        disabled?: undefined;
    };
    propTypes: {
        color: PropTypes.Requireable<Color>;
        className: PropTypes.Requireable<string>;
        label: PropTypes.Requireable<string>;
        labelPosition: PropTypes.Requireable<string>;
        labelClassName: PropTypes.Requireable<string>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        disabled: PropTypes.Requireable<boolean>;
    };
};
